CREATE TABLE loy_actcrtr (
    LOY_ACTRANGE_ID          NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    AMOUNT                   NUMBER        ,
    ATTRIB_ID                NUMBER(18, 0) ,
    BUS_SERVICE_NAME         VARCHAR2(300) ,
    CONDITION_OP             VARCHAR2(120) ,
    CRITERIA_EXPR            VARCHAR2(4000),
    CRITERIA_EXPR_LONG       CLOB          ,
    CURCY_EXCH_DT            DATE          ,
    CURRENCY_CODE            VARCHAR2(60)  ,
    DESC_TEXT                VARCHAR2(2000),
    DISCNT_PCT               NUMBER        ,
    ENTITY_TYPE              VARCHAR2(40)      NOT NULL,
    EXP_LEN                  NUMBER        ,
    EXP_SNAPTO_CODE          VARCHAR2(120) ,
    EXP_UOM                  VARCHAR2(120) ,
    METHOD_NAME              VARCHAR2(300) ,
    NAME                     VARCHAR2(200)     NOT NULL,
    OBJECT_CODE              VARCHAR2(120) ,
    OPERAND_CODE             VARCHAR2(120) ,
    OPERATOR_CODE            VARCHAR2(120) ,
    OTHER_ATTRIB_ID          NUMBER(18, 0) ,
    OTHER_OBJECT_CODE        VARCHAR2(120) ,
    PMT_ATTRIB_ID            NUMBER(18, 0) ,
    PMT_OBJECT_CODE          VARCHAR2(120) ,
    PMT_OPERATOR_CODE        VARCHAR2(120) ,
    PMT_VAL                  VARCHAR2(200) ,
    POINT_TYPE_FLAG          VARCHAR2(4)       NOT NULL,
    PROD_ID                  NUMBER(18, 0) ,
    PROMO_RULE_ID            NUMBER(18, 0)     NOT NULL,
    PT_SUB_TYPE_ID           NUMBER(18, 0) ,
    QUALIFYING_FLAG          VARCHAR2(4)       NOT NULL,
    REL_TYPE_CODE            VARCHAR2(120) ,
    SEQ_NUM                  NUMBER            NOT NULL,
    TIER_ID                  NUMBER(18, 0) ,
    TYPE_CODE                VARCHAR2(120) ,
    VAL                      VARCHAR2(200) ,
    VCHR_BASIS_CODE          VARCHAR2(120) ,
    VOUCHER_QTY              NUMBER        ,
    LOY_ACTRANGE_ID          NUMBER(18, 0) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    CONFLICT_ID              NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    AMOUNT                   NUMBER        ,
    ATTRIB_ID                NUMBER(18, 0) ,
    BUS_SERVICE_NAME         VARCHAR2(300) ,
    CONDITION_OP             VARCHAR2(120) ,
    CRITERIA_EXPR            VARCHAR2(4000),
    CRITERIA_EXPR_LONG       CLOB          ,
    CURCY_EXCH_DT            DATE          ,
    CURRENCY_CODE            VARCHAR2(60)  ,
    DESC_TEXT                VARCHAR2(2000),
    DISCNT_PCT               NUMBER        ,
    ENTITY_TYPE              VARCHAR2(40)      NOT NULL,
    EXP_LEN                  NUMBER        ,
    EXP_SNAPTO_CODE          VARCHAR2(120) ,
    EXP_UOM                  VARCHAR2(120) ,
    METHOD_NAME              VARCHAR2(300) ,
    NAME                     VARCHAR2(200)     NOT NULL,
    OBJECT_CODE              VARCHAR2(120) ,
    OPERAND_CODE             VARCHAR2(120) ,
    OPERATOR_CODE            VARCHAR2(120) ,
    OTHER_ATTRIB_ID          NUMBER(18, 0) ,
    OTHER_OBJECT_CODE        VARCHAR2(120) ,
    PMT_ATTRIB_ID            NUMBER(18, 0) ,
    PMT_OBJECT_CODE          VARCHAR2(120) ,
    PMT_OPERATOR_CODE        VARCHAR2(120) ,
    PMT_VAL                  VARCHAR2(200) ,
    POINT_TYPE_FLAG          VARCHAR2(4)       NOT NULL,
    PROD_ID                  NUMBER(18, 0) ,
    PROMO_RULE_ID            NUMBER(18, 0)     NOT NULL,
    PT_SUB_TYPE_ID           NUMBER(18, 0) ,
    QUALIFYING_FLAG          VARCHAR2(4)       NOT NULL,
    REL_TYPE_CODE            VARCHAR2(120) ,
    SEQ_NUM                  NUMBER            NOT NULL,
    TIER_ID                  NUMBER(18, 0) ,
    TYPE_CODE                VARCHAR2(120) ,
    VAL                      VARCHAR2(200) ,
    VCHR_BASIS_CODE          VARCHAR2(120) ,
    VOUCHER_QTY              NUMBER        ,
    CONSTRAINT pk_loy_actcrtr PRIMARY KEY (LOY_ACTRANGE_ID, LOY_ACTRANGE_ID)
);
